GDB (xrefs)

Public Attributes | List of all members
dcache_struct Struct Reference

## Public Attributes
splay_tree | tree
struct dcache_block * | oldest
struct dcache_block * | freelist
int | size
CORE_ADDR | line_size
ptid_t | ptid

## Detailed Description

Definition at line 103 of file dcache.c.

## Member Data Documentation

## ◆ freelist

struct dcache_block* dcache_struct::freelist

Definition at line 110 of file dcache.c.

Referenced by dcache_alloc(), dcache_free(), dcache_init(), dcache_invalidate(), dcache_invalidate_line(), and invalidate_block().

## ◆ line_size

CORE_ADDR dcache_struct::line_size

Definition at line 114 of file dcache.c.

Referenced by dcache_alloc(), dcache_info_1(), dcache_init(), dcache_invalidate(), dcache_print_line(), and dcache_read_line().

## ◆ oldest

struct dcache_block* dcache_struct::oldest

Definition at line 106 of file dcache.c.

Referenced by dcache_alloc(), dcache_free(), dcache_init(), dcache_invalidate(), and dcache_invalidate_line().

## ◆ ptid

ptid_t dcache_struct::ptid

Definition at line 117 of file dcache.c.

Referenced by dcache_info_1(), dcache_init(), dcache_invalidate(), and dcache_read_memory_partial().

## ◆ size

int dcache_struct::size

Definition at line 113 of file dcache.c.

Referenced by dcache_alloc(), dcache_init(), dcache_invalidate(), and dcache_invalidate_line().

## ◆ tree

splay_tree dcache_struct::tree

Definition at line 105 of file dcache.c.

Referenced by dcache_alloc(), dcache_free(), dcache_hit(), dcache_info_1(), dcache_init(), dcache_invalidate_line(), dcache_print_line(), and invalidate_block().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dcache.c